Name:           libboilerplate-for-c-and-gtk3
Version:        0.1.0
Release:        1%{?dist}
Summary:        Back-end library for boilerplate-for-c-and-gtk3

License:        GPLv3+
URL:            https://github.com/julianrichen/boilerplate-for-c-gtk3
Source0:        %{url}/archive/%{version}.tar.gz

BuildRequires:  meson >= 0.36.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)

%description
Back-end library for boilerplate-for-c-and-gtk3.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%meson -Denable-library=true -Denable-library-docs=true -Denable-executable=false
%meson_build

%install
%meson_install

%check
%meson_check

%post

%postun

%posttrans

%files -f %{name}.lang
%license LICENSE
%{_libdir}/%{name}.so*

%files devel
%dir %{_includedir}/%{name}
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/pkgconfig/%{name}.pc*

%changelog
* Sun Jul 2 2017 Julian Richen <julian@richen.io>
- Initial package
